using Modules.Library.Database.Database.Models.Language;

namespace Modules.Library.Database.GatewaysImplementations.Converters;

internal static class LanguageConverter
{
    internal static Application.Models.Language Convert(Language language)
    {
        return new Application.Models.Language
        {
            Id = language.Id,
            CodeIso3 = language.CodeIso3,
            IconId = language.IconId,
            Deleted = language.Deleted,
            Name = language.Name,
        };
    }

    internal static Domain.Entities.Language.Language ConvertToDomain(Language language)
    {
        return new Domain.Entities.Language.Language(language.CodeIso3, language.Name, language.IconId, language.Id, language.Deleted);
    }
}